BasicGradleProject (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.tooling.model.gradle

## [Java] Interface BasicGradleProject

- org.gradle.tooling.model.gradle.BasicGradleProject

- All Superinterfaces:
    Model

  Provides some basic details about a Gradle project.

  Since:
    1.8

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends BasicGradleProject>` | `getChildren()` Returns the child projects of this project, or the empty set if there are no child projects.
    `String` | `getName()` Returns the name of this project.
    `BasicGradleProject` | `getParent()` Returns the parent of this project, or `null` if this is the root project.
    `String` | `getPath()` Returns the path of this project.
    `File` | `getProjectDirectory()` Returns the project directory for this project.
    `ProjectIdentifier` | `getProjectIdentifier()` Returns the identifier for this Gradle project.

- - ### Method Detail

    - #### public DomainObjectSet<? extends BasicGradleProject> getChildren()

      Returns the child projects of this project, or the empty set if there are no child projects.

      Returns:
        The child projects of this project, or the empty set if there are no child projects.

    - #### public String getName()

      Returns the name of this project. Note that the name is not a unique identifier for the project.

      Returns:
        The name of this project.

    - #### @Nullable public BasicGradleProject getParent()

      Returns the parent of this project, or `null` if this is the root project.

      Returns:
        The parent of this project, or `null` if this is the root project.

    - #### public String getPath()

      Returns the path of this project. The path can be used as a unique identifier for the project within a given build.

      Returns:
        The path of this project.

    - #### public File getProjectDirectory()

      Returns the project directory for this project.

      Returns:
        The project directory.

    - #### @Incubating public ProjectIdentifier getProjectIdentifier()

      Returns the identifier for this Gradle project.

      Since:
        2.13